nisaddcred(8)

NAME
nisaddcred - create NIS+ credentials

SYNOPSIS

nisaddcred [ -p principal ] [ -P nis_principal ] [ -l login_password ] auth_type [ domain_name ]

nisaddcred -r nis_principal [ domain_name ]

DESCRIPTION

The nisaddcred command is used to create security credentials for NIS+ principals. NIS+

When the nisaddcred command is run, the credentials are created and stored in a table named cred.org_dir in the default or specified NIS+ domain. The specified domain must either be the one to which you belong, or one in which you are authenticated and authorized to create credentials, i.e., a subdomain. Note that the credentials of normal users must be stored in the same domain as their passwords.

For users, the home domain is defined to be the domain where their DES credentials are kept. For hosts, their home domain is defined to be the domain name returned by the domainname(1) command executed on that host.

There are two types of auth_type entries in the cred.org_dir table. Those with authentication type LOCAL, and those with authentication type DES. auth_type, specified on the command line in upper or lower case, should be either local or des.

Only users, and not machines, have LOCAL credentials. In their home domain, users of NIS+ should have both types of credentials.

You can list the cred entries for a particular principal with nismatch(1).

OPTIONS

-p principal
    The name principal specifies the name of the principal as defined by the naming rules for that specific mechanism. For example, LOCAL credential names are supplied with this option by including a string specifying a UID. For DES credentials, the name should be a Secure RPC netname of the form unix.id@domain.com. If the -p option is not specified, the auth_name field is constructed from the effective UID of the current process and the name of the local domain.

-P nis_principal
    Use the NIS+ principal name nis_principal. This option should be used when creating LOCAL or DES credentials for users whose home domain is different than the local machine's default domain.

-l login_password
    Use the login_password specified as the password to encrypt the secret key for the credential entry. This overrides the prompting for a password from the shell. NOTE: Everybody can see your password using ps(1).

-r nis_principal
    Remove all credentials associated with the principal nis_principal from the cred.org_dir table. This option can be used when removing a client or user from the system. If domain_name is not specified, the operation is executed in the default NIS+ domain.

EXIT CODES

nisaddcred returns 0 on success and 1 on failure.

SEE ALSO
chkey(1), newkey(1), keylogin(1), keyserv(8)

AUTHOR
This version of the nisaddcred command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>. Parts of the sources are from the RPCSRC 4.0 sources from Sun Microsystems, Inc.